## lxc 3.0.3

=== debian/changelog ===
lxc (1:3.0.3-1) unstable; urgency=medium

  * New upstream version: 3.0.3
  * d/liblxc1.symbols: Updated symbols table
  * d/lxc.postinst: no absolute path for lxc-update-config (it's in the PATH)
  * d/copyright: remove statement for src/includes/ifaddrs.{c, h} as they're
    not shipped anymore
  * Release to unstable.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 04 Dec 2018 08:04:18 +0100

lxc (1:3.0.2-1~exp+4) experimental; urgency=medium

  * d/rules: strip unnecessary DPKG_EXPORT_BUILDFLAGS and include that are not
    needed since dh compat 9
  * d/templates, d/po/*: updated templates and translation
  * d/lxc.config: refactor the config script a little

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 29 Nov 2018 22:24:03 +0100

lxc (1:3.0.2-1~exp+3) experimental; urgency=medium

  * d/control:
    - Update Recommends to suggest more recent tools.
      Replaces iptables => nftables | iptables
      Add iproute2 for more precise bridge manipulation
  * d/lxc{.config,.postinst}, d/templates, d/po/*
    - Implement a maintainer script allowing an auto-upgrade of lxc
      configuration files

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 29 Nov 2018 01:07:02 +0100

lxc (1:3.0.2-1~exp+2) experimental; urgency=medium

  * d/control:
    - Add explicit Recommend on lxc-templates
    - Version the Recommends
    - Update the Breaks on liblxc1
    - Add myself to uploaders

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 18 Nov 2018 23:57:26 +0100

lxc (1:3.0.2-1~exp+1) experimental; urgency=medium

  * Team upload
  * New upstream release: 3.0.2
  * d/p/000[1-3]*:
    - Dropped because Debian template got out of lxc release
  * d/p/000[4-7]*:
    - Upstream fixes taken into account into this release
  * d/control:
    - Drop packages lua-lxc and python3-lxc, as they got extracted from there
      by upstream
    - Raise debhelper dependency to 11
    - Bump Standards-Version to 4.2.1. No change required
    - Update VCS fields
    - Add libpam-cgfs that was previously in src:lxcfs
  * d/compat raised to 11
  * d/copyright:
    - Use HTTPS url for the copyright format link
    - Updated copyrights
  * d/watch:
    - Updated version and regex
  * d/libpam-cgfs* d/pam-cgfs.config added with pam-cgfs inclusion in the
    package
  * d/liblxc1.symbols added

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Nov 2018 09:23:20 +0100

lxc (1:2.0.9-7) unstable; urgency=medium

  * debian/rules: pass --disable-werror to ./configure. Fixes FTBFS against
    python3 3.7

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Nov 2018 14:53:56 -0200

lxc (1:2.0.9-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * autodev: adapt to changes in Linux 4.18 (Closes: #908223)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Oct 2018 23:18:55 +0200
