## lxc 3.1.0

=== debian/changelog ===
lxc (1:3.1.0-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 3.1.0

  [ Shengjing Zhu ]
  * d/liblxc1.symbols: Fix liblxc1 symbol version, missing the Debian epoch.
    Closes: #916362

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Dec 2018 22:56:16 +0100
