## lxc 3.1.0+really3.0.3

=== debian/changelog ===
lxc (1:3.1.0+really3.0.3-8) unstable; urgency=medium

  * d/control:
    - bin:lxc sets AppArmor as a Recommend instead of a Dependency
  * d/README.Debian:
    - Update the documentation to explain how to manage containers not
      starting if AppArmor is missing.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 14 Apr 2019 15:46:47 +0200

lxc (1:3.1.0+really3.0.3-7) unstable; urgency=medium

  * d/ccontrol:
    - Add a dependency to AppArmor for lxc package as the default.conf file
      includes an AppArmor profile.
  * d/{NEWS,README.Debian}:
    - Add appropriate documentation for unprivileged containers
      (Closes: #925899)

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Apr 2019 02:03:05 +0200

lxc (1:3.1.0+really3.0.3-6) unstable; urgency=medium

  * d/patches/0005: Tweaks the 0004 patch for CVE-2019-5736 (Closes: #923932)
  * d/NEWS: summary of the important changes since LXC2.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 09 Mar 2019 15:49:21 +0100

lxc (1:3.1.0+really3.0.3-5) unstable; urgency=medium

  [ Christian Kastner ]
  * /etc/default/lxc.conf Change back to lxc.net.0.type
    (Closes: #923395)

  [ Frans Spiesschaert ]
  * debian/po/nl.po: Add Dutch translation of debconf messages
    (Closes: #923328)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 02 Mar 2019 12:33:08 -0300

lxc (1:3.1.0+really3.0.3-4) unstable; urgency=medium

  [ Lev Lamberov ]
  * d/po/ru.po: Add russian translation for debconf templates (Closes: #920916)

  [ Américo Monteiro ]
  * d/po/pt.po: Add portuguese translation for debconf templates (Closes:
    #919221)

  [ Adriano Rafael Gomes ]
  * d/po/pr_BR.po: Add brazilian portuguese translation for debconf templates
    (Closes: #920543)

  [ Pierre-Elliott Bécue ]
  * d/patches/0004: Import the fix for CVE-2019-5736. (Closes: #922169)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Feb 2019 16:21:41 +0100

lxc (1:3.1.0+really3.0.3-3) unstable; urgency=medium

  * d/lxc.postinst:
    - Add a fallback method to handle the cases where apparmor_parser may
      fail while present. (nested virt or whatever else) (Closes: #921667)
  * d/patches:
    - Backports 3 patches from lxc 3.1 to have Apparmor confinement working
      properly with systemd 240. (Closes: #916639)
  * d/tests/exercise:
    - Update the configuration to match lxc 3 standards
  * d/contrib/default.conf:
    - Provide a minimalist default.conf including appropriate apparmor
      parameters.

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 11 Feb 2019 23:03:53 +0100

lxc (1:3.1.0+really3.0.3-2) unstable; urgency=medium

  [ Chris Leick ]
  * d/po/de.po:
    - Added German Debconf translation (Closes: #916263)

  [ Pierre-Elliott Bécue ]
  * d/lxc.postinst:
    - Add a call to apparmor_parser if present to ensure lxc containers work
      with apparmor after an upgrade. (Closes: #918842)
    - Add a check to make sure we're on a proper upgrade or a proper install
      to decide whether or not some code blocks are executed.
  * d/lxc.config:
    - Asks for the upgrade of configuration only when lxc is actually upgraded
      and not installed.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Jan 2019 01:12:41 +0100

lxc (1:3.1.0+really3.0.3-1) unstable; urgency=medium

  * Rollback to version 3.0.3 as this is a LTS release.
  * Revert symbols file.
  * d/control:
    - Bump Standards-Version to 4.3.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 10 Jan 2019 23:26:47 +0100
