## lxc 3.1.0+really3.0.4

=== debian/changelog ===
lxc (1:3.1.0+really3.0.4-2) unstable; urgency=medium

  * 0009-lxc-attach-make-sure-exit-status-of-command-is-retur.patch: ensure
    lxc-attach returns the exit status of executed command (Closes: 934983)
  * debian/rules: fix dh_fixperms exception for lxc-user-nic (Closes: #934155)
  * debian/liblxc1.symbols: fix versioning information for sha1sum_file

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Aug 2019 21:42:25 -0300

lxc (1:3.1.0+really3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * cgroups: Properly handle cpuset initialization
    d/p/0007: cgroups: hande cpuset initialization race
    d/p/0008: cgroups: initialize cpuset properly
   (Closes: #934387)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 14 Aug 2019 16:40:03 +0200

lxc (1:3.1.0+really3.0.4-1) unstable; urgency=medium

  * New upstream release 3.0.4
    + Drop patches 0004 and 0005 as the fix for runC CVE-2019-5736 is now
      upstream.
    + Fixes lxc-cgroup giving no output. (Closes: #929926)
  * d/p/0004: Prevent access to /proc/acpi via apparmor. (Closes: #906805)
  * d/p/0005: lxc.service: starts after remote-fs.target to avoid some
    failures for containers with their FS accessible via a remote fs
  * d/p/0006: Strips a non-expanded tag from lxc.pc.in
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Update debheler-compat to 12
  * d/rules: Drop dh_strip override as it's not needed anymore.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 06 Aug 2019 15:33:36 +0200
