=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: bash-completion,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                dh-apparmor,
                dh-exec,
                docbook2x,
@@ -21,7 +21,7 @@
                libselinux-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://salsa.debian.org/lxc-team/lxc.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxc
